be.cin.nip.async.generic

## Class TAck

- java.lang.Object
- - be.cin.nip.async.generic.TAck

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T07:59:38+02:00",
                 comments="JAXB RI v2.2.11")
      public class TAck
      extends Object
      implements Serializable

  The content is the hmac-sha256 of the request with the content of the ResultMajor as key (UTF8 encoded). This way it references both the messages it applies to and the result, this is required because the xades-t only signs the decoded content which does not include the result attributes.

  Java class for TAck complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TAck">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>base64Binary">
             <attGroup ref="{urn:be:cin:nip:async:generic}Result"/>
             <attribute name="Issuer" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="AppliesTo" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}NCName" />
             <attribute name="Reference" type="{http://www.w3.org/2001/XMLSchema}string" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TAck()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAppliesTo()` Gets the value of the appliesTo property.
    `String` | `getId()` Gets the value of the id property.
    `String` | `getIssuer()` Gets the value of the issuer property.
    `String` | `getReference()` Gets the value of the reference property.
    `String` | `getResultMajor()` Gets the value of the resultMajor property.
    `String` | `getResultMessage()` Gets the value of the resultMessage property.
    `String` | `getResultMinor()` Gets the value of the resultMinor property.
    `byte[]` | `getValue()` Gets the value of the value property.
    `void` | `setAppliesTo(String value)` Sets the value of the appliesTo property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setIssuer(String value)` Sets the value of the issuer property.
    `void` | `setReference(String value)` Sets the value of the reference property.
    `void` | `setResultMajor(String value)` Sets the value of the resultMajor property.
    `void` | `setResultMessage(String value)` Sets the value of the resultMessage property.
    `void` | `setResultMinor(String value)` Sets the value of the resultMinor property.
    `void` | `setValue(byte[] value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TAck

          public TAck()

  - ### Method Detail

    - #### getValue

          public byte[] getValue()

      Gets the value of the value property.
      Returns:
        possible object is byte[]

    - #### setValue

          public void setValue(byte[] value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getIssuer

          public String getIssuer()

      Gets the value of the issuer property.
      Returns:
        possible object is `String`

    - #### setIssuer

          public void setIssuer(String value)

      Sets the value of the issuer property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAppliesTo

          public String getAppliesTo()

      Gets the value of the appliesTo property.
      Returns:
        possible object is `String`

    - #### setAppliesTo

          public void setAppliesTo(String value)

      Sets the value of the appliesTo property.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReference

          public String getReference()

      Gets the value of the reference property.
      Returns:
        possible object is `String`

    - #### setReference

          public void setReference(String value)

      Sets the value of the reference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getResultMajor

          public String getResultMajor()

      Gets the value of the resultMajor property.
      Returns:
        possible object is `String`

    - #### setResultMajor

          public void setResultMajor(String value)

      Sets the value of the resultMajor property.
      Parameters:
        `value` - allowed object is `String`

    - #### getResultMinor

          public String getResultMinor()

      Gets the value of the resultMinor property.
      Returns:
        possible object is `String`

    - #### setResultMinor

          public void setResultMinor(String value)

      Sets the value of the resultMinor property.
      Parameters:
        `value` - allowed object is `String`

    - #### getResultMessage

          public String getResultMessage()

      Gets the value of the resultMessage property.
      Returns:
        possible object is `String`

    - #### setResultMessage

          public void setResultMessage(String value)

      Sets the value of the resultMessage property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.